> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List reviews

> Returns a paginated list of customer reviews for a specific product, with optional filtering by star rating and creation date.



## OpenAPI

````yaml /openapi/api-v1-stable.json get /reviews
openapi: 3.1.0
info:
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  title: Whop API
  version: 1.0.0
  x-api-version-date: '2026-08-21'
servers:
  - description: Production Whop API
    url: https://api.whop.com/api/v1
  - description: Sandbox Whop API
    url: https://sandbox-api.whop.com/api/v1
security: []
tags:
  - description: Products
    name: Products
  - description: Payments
    name: Payments
  - description: Refunds
    name: Refunds
  - description: Disputes
    name: Disputes
  - description: Dispute alerts
    name: Dispute alerts
  - description: Resolution center cases
    name: Resolution center cases
  - description: Checkout configurations
    name: Checkout configurations
  - description: Setup intents
    name: Setup intents
  - description: Payment methods
    name: Payment methods
  - description: Invoices
    name: Invoices
  - description: Promo codes
    name: Promo codes
  - description: Card transactions
    name: Card transactions
  - description: Ledger accounts
    name: Ledger accounts
  - description: Withdrawals
    name: Withdrawals
  - description: Payout methods
    name: Payout methods
  - description: Verifications
    name: Verifications
  - description: Identity profiles
    name: Identity profiles
  - description: Payout accounts
    name: Payout accounts
  - description: Topups
    name: Topups
  - description: Companies
    name: Companies
  - description: Authorized users
    name: Authorized users
  - description: Fee markups
    name: Fee markups
  - description: Members
    name: Members
  - description: Memberships
    name: Memberships
  - description: Leads
    name: Leads
  - description: Entries
    name: Entries
  - description: Shipments
    name: Shipments
  - description: Reviews
    name: Reviews
  - description: Company token transactions
    name: Company token transactions
  - description: Affiliates
    name: Affiliates
  - description: Experiences
    name: Experiences
  - description: Forums
    name: Forums
  - description: Forum posts
    name: Forum posts
  - description: Chat channels
    name: Chat channels
  - description: Support channels
    name: Support channels
  - description: Messages
    name: Messages
  - description: Reactions
    name: Reactions
  - description: Dm members
    name: Dm members
  - description: Dm channels
    name: Dm channels
  - description: Notifications
    name: Notifications
  - description: Courses
    name: Courses
  - description: Course chapters
    name: Course chapters
  - description: Course lessons
    name: Course lessons
  - description: Course students
    name: Course students
  - description: Course lesson interactions
    name: Course lesson interactions
  - description: Apps
    name: Apps
  - description: Webhooks
    name: Webhooks
  - description: App builds
    name: App builds
  - description: Access tokens
    name: Access tokens
  - description: Account links
    name: Account links
  - description: Files
    name: Files
  - description: Ai chats
    name: Ai chats
  - description: Bounties
    name: Bounties
  - description: Stats
    name: Stats
  - description: Conversions
    name: Conversions
  - description: Ad reports
    name: Ad reports
paths:
  /reviews:
    get:
      tags:
        - Reviews
      summary: List reviews
      description: >-
        Returns a paginated list of customer reviews for a specific product,
        with optional filtering by star rating and creation date.
      operationId: listReview
      parameters:
        - explode: true
          in: query
          name: after
          required: false
          schema:
            description: >-
              Returns the elements in the list that come after the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: before
          required: false
          schema:
            description: >-
              Returns the elements in the list that come before the specified
              cursor.
            type: string
          style: form
        - explode: true
          in: query
          name: first
          required: false
          schema:
            description: Returns the first _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: last
          required: false
          schema:
            description: Returns the last _n_ elements from the list.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: product_id
          required: true
          schema:
            description: The unique identifier of the product to list reviews for.
            example: prod_xxxxxxxxxxxxx
            type: string
          style: form
        - explode: true
          in: query
          name: min_stars
          required: false
          schema:
            description: >-
              The minimum star rating to include in results, from 1 to 5
              inclusive.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: max_stars
          required: false
          schema:
            description: >-
              The maximum star rating to include in results, from 1 to 5
              inclusive.
            example: 42
            type: integer
          style: form
        - explode: true
          in: query
          name: created_before
          required: false
          schema:
            description: Only return reviews created before this timestamp.
            example: '2023-12-01T05:00:00.401Z'
            format: date-time
            type: string
          style: form
        - explode: true
          in: query
          name: created_after
          required: false
          schema:
            description: Only return reviews created after this timestamp.
            example: '2023-12-01T05:00:00.401Z'
            format: date-time
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                description: The connection type for Review.
                properties:
                  data:
                    description: A list of nodes.
                    items:
                      $ref: '#/components/schemas/ReviewListItem'
                    type: array
                  page_info:
                    $ref: '#/components/schemas/PageInfo'
                    description: Information to aid in pagination.
                required:
                  - data
                  - page_info
                type: object
          description: A successful response
        '400':
          content:
            application/json:
              example:
                error:
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
                  type: invalid_request_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Bad request
        '401':
          content:
            application/json:
              example:
                error:
                  message: Invalid or missing API key
                  type: unauthorized
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Unauthorized
        '403':
          content:
            application/json:
              example:
                error:
                  message: You do not have permission to access this resource
                  type: forbidden
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              example:
                error:
                  message: Resource not found
                  type: not_found
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Not found
        '422':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Verification required
        '429':
          content:
            application/json:
              example:
                error: null
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Too many requests
        '500':
          content:
            application/json:
              example:
                error:
                  message: An unexpected error occurred
                  type: internal_server_error
              schema:
                properties:
                  error:
                    properties:
                      code:
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                        type:
                          - string
                          - 'null'
                      message:
                        type: string
                      param:
                        description: The parameter that caused the error, if applicable
                        type:
                          - string
                          - 'null'
                      type:
                        type: string
                    required:
                      - type
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Internal server error
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Whop from '@whop/sdk';


            const client = new Whop({
              apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const reviewListResponse of client.reviews.list({
            product_id: 'prod_xxxxxxxxxxxxx' })) {
              console.log(reviewListResponse.id);
            }
components:
  schemas:
    ReviewListItem:
      description: >-
        A user-submitted review of a company, including a star rating and
        optional text feedback.
      properties:
        attachments:
          description: A list of files and media attached to the review.
          items:
            description: Represents an image attachment
            properties:
              content_type:
                description: >-
                  Uploaded file MIME type, such as image/jpeg, video/mp4, or
                  audio/mpeg.
                example: image/jpeg
                type:
                  - string
                  - 'null'
              filename:
                description: >-
                  The original filename of the uploaded attachment, including
                  its file extension.
                example: document.pdf
                type:
                  - string
                  - 'null'
              id:
                description: >-
                  Represents a unique identifier that is Base64 obfuscated. It
                  is often used to refetch an object or as key for a cache. The
                  ID type appears in a JSON response as a String; however, it is
                  not intended to be human-readable. When expected as an input
                  type, any string (such as `"VXNlci0xMA=="`) or integer (such
                  as `4`) input value will be accepted as an ID.
                type: string
              url:
                description: >-
                  A pre-optimized URL for rendering this attachment on the
                  client. This should be used for displaying attachments in
                  apps.
                example: https://media.whop.com/abc123/optimized.jpg
                type:
                  - string
                  - 'null'
            required:
              - id
              - filename
              - content_type
              - url
            type: object
          type: array
        created_at:
          description: The datetime the review was created.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        description:
          description: >-
            The body text of the review containing the user's detailed feedback.
            Returns an empty string if no description was provided.
          example: Great product, really helped me grow my audience.
          type:
            - string
            - 'null'
        id:
          description: The unique identifier for the review.
          example: rev_xxxxxxxxxxxxxx
          type: string
        joined_at:
          description: >-
            The timestamp of when the reviewer first joined the product. Null if
            unknown.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type:
            - string
            - 'null'
        paid_for_product:
          description: >-
            Whether the reviewer paid for the product. Null if the payment
            status is unknown.
          type:
            - boolean
            - 'null'
        published_at:
          description: >-
            The timestamp of when the review was published. Null if the review
            has not been published yet.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type:
            - string
            - 'null'
        stars:
          description: The star rating given by the reviewer, from 1 to 5.
          example: 42
          type: integer
        status:
          $ref: '#/components/schemas/ReviewStatus'
          description: The current moderation status of the review.
        title:
          description: >-
            A short summary title for the review. Null if the reviewer did not
            provide one.
          example: Amazing community and tools
          type:
            - string
            - 'null'
        updated_at:
          description: The datetime the review was last updated.
          example: '2023-12-01T05:00:00.401Z'
          format: date-time
          type: string
        user:
          description: The user account of the person who wrote this review.
          properties:
            id:
              description: The unique identifier for the user.
              example: user_xxxxxxxxxxxxx
              type: string
            name:
              description: The user's display name shown on their public profile.
              example: John Doe
              type:
                - string
                - 'null'
            username:
              description: The user's unique username shown on their public profile.
              example: johndoe42
              type: string
          required:
            - id
            - name
            - username
          type: object
      required:
        - id
        - title
        - description
        - stars
        - status
        - paid_for_product
        - created_at
        - updated_at
        - published_at
        - joined_at
        - user
        - attachments
      type: object
    PageInfo:
      description: Information about pagination in a connection.
      properties:
        end_cursor:
          description: When paginating forwards, the cursor to continue.
          type:
            - string
            - 'null'
        has_next_page:
          description: When paginating forwards, are there more items?
          type: boolean
        has_previous_page:
          description: When paginating backwards, are there more items?
          type: boolean
        start_cursor:
          description: When paginating backwards, the cursor to continue.
          type:
            - string
            - 'null'
      required:
        - end_cursor
        - start_cursor
        - has_next_page
        - has_previous_page
      type: object
    ReviewStatus:
      description: The statuses a review can have
      enum:
        - pending
        - published
        - removed
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        An Account API key, account-scoped JWT, App API key, or user OAuth
        token. Prepend the key or token with `Bearer`, for example `Bearer
        ***************************`.
      scheme: bearer
      type: http

````